BIBTOOL(1)

NAME
BibTool - BibTeX file manipulation tool

SYNOPSIS
bibtool [options] [files]

DESCRIPTION
This manual is not meant to be exhaustive. The complete documentation for BibTool can be found in the BibTool Manual. BibTeX provides an easy to use means to integrate citations and bibliographies into LaTeX documents. But the user is left alone with the management of the BibTeX files. BibTool is intended to fill this gap. BibTool allows the manipulation of BibTeX files which goes beyond the possibilities - and intentions - of BibTeX.

BibTool manipulates BibTeX database files through the command line front-end bibtool which accepts numerous options. Modifications are performed through resource instructions that allow the modification of the various internal parameters determining the behavior of BibTool; resource instructions can be grouped in resource files. The original BibTool distribution contains a sufficient set of resource file samples to perform basic, relevant manipulations.

OPTIONS
bibtool accepts the following options.

  Resource files

-R  Immediately evaluate the instructions from the default resource file.

-r rsc_file
    Immediately evaluate the instructions from the resource file rsc_file.

-- rsc_cmd
    Evaluate the resource instruction rsc_cmd.

  Input file

-i bib_file
    Add the BibTeX database file bib_file to the list of input files. If -i omitted the file name may not start with a -. If absent stdin is taken to read from. Input files should follow the bibtex(1) conventions.

  Output file

-o output_file
    Direct output to the file output_file. If absent the output is directed to stdout.

  Status reporting

-q  Suppress warnings. Errors can not be suppressed.

-v  Enable informative messages on the activities of BibTool.

  Sorting

-s  Enable sorting of entries.

-S  Enable sorting of entries in reverse order.

-A type
    Determine key disambuguation; type in 0, a, A.

  Selecting items

-x aux_file
    Extract the entries from the auxiliary (.aux) LaTeX aux_file file.

-X regex
    Select certain entries according to the regular expression regex.

-c  Turn on the additional selection of crossreferenced entries.

  Key generation

-f key_format
    Set the specification for key generation to key_format.

-F  Turn on key generation.

-k  Generate short format keys.

-K  Generate long format keys.

  Semantic checks

-d  Find and mark (or delete) entries with identical sort keys.

  Strings/Macros

-m mac_file
    Write the macro definitions to the file mac_file (- is stdout).

-M mac_file
    Write the used macro definitions to the file mac_file (- is stdout).

  Getting help

-h  Print short help and exit.

-V  Print version and exit.

  Statistics

-#  Print statistics about all known entry types (long).

-@  Print statistics about the used entry types only (short).

ENVIRONMENT

BIBINPUTS
    Search path for BibTeX database (.bib) files.

BIBTOOL
    Search path for BibTool resource (.rsc) files.

BIBTOOLRSC
    List of resource file names separated by colon.

FILES

./.bibtoolrsc
    The default current directory BibTool resource file.

~/.bibtoolrsc
    The default individual BibTool resource file.

/usr/share/bibtool/*.rsc
    The BibTool resource files included in the original distribution.

/usr/share/doc/bibtool/bibtool.pdf
    The BibTool Manual.

/usr/share/doc/bibtool/ref_card.pdf
    The BibTool Quick Reference Card.

SEE ALSO
bibtex(1), latex(1), tex(1)
The BibTool Manual.

BUGS
Some arrays are allocated statically which may result in an overflow.
Most memory is allocated but not returned to the OS: A garbage collection algorithm might be integrated in a future release.
This man page is updated only occasionally, so it is very likely out of date. For complete, current documentation, refer to the BibTool Manual which is distributed as LaTeX source file (bibtool.tex) in the original BibTool source distribution.

AUTHOR
BibTool is designed and maintained by Gerd Neugebauer.